GNU bug report logs - #25304
Libtool's ltmain.sh should have its shebang preserved

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: ludo@HIDDEN (Ludovic Courtès); merged with #25508, #26749; dated Fri, 30 Dec 2016 23:35:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 25304 25508 26749. Request was from Jack Hill <jackhill@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'important' from 'normal' Request was from Jack Hill <jackhill@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug unarchived. Request was from Jack Hill <jackhill@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'important' from 'normal' Request was from Jack Hill <jackhill@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 25304 <at> debbugs.gnu.org:


Received: (at 25304) by debbugs.gnu.org; 21 Apr 2017 14:30:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 21 10:30:55 2017
Received: from localhost ([127.0.0.1]:60938 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d1ZaJ-0007Cm-1j
	for submit <at> debbugs.gnu.org; Fri, 21 Apr 2017 10:30:55 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44154)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1d1ZaH-00077E-PL
 for 25304 <at> debbugs.gnu.org; Fri, 21 Apr 2017 10:30:54 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1d1Za9-0006Xx-EN
 for 25304 <at> debbugs.gnu.org; Fri, 21 Apr 2017 10:30:48 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35501)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1d1Za9-0006Xt-Au
 for 25304 <at> debbugs.gnu.org; Fri, 21 Apr 2017 10:30:45 -0400
Received: from [193.50.110.185] (port=53274 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>) id 1d1Za8-0006gd-PM
 for 25304 <at> debbugs.gnu.org; Fri, 21 Apr 2017 10:30:45 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: 25304 <at> debbugs.gnu.org
Subject: =?utf-8?Q?Libtool=E2=80=99s?= ltmain.sh still contains a /gnu/store
 shebang
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 2 =?utf-8?Q?Flor=C3=A9al?= an 225 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Fri, 21 Apr 2017 16:30:43 +0200
Message-ID: <87mvb925po.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 25304
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hi,

Commit 98341757c8c45fca8d2b53f9972f5c6a32cf2c95, which was meant to fix
this bug=C2=B9, actually failed to do so:

--8<---------------cut here---------------start------------->8---
$ head -1 $(./pre-inst-env guix build libtool)/share/libtool/build-aux/ltma=
in.sh
#!/gnu/store/k7029k5va68lkapbzcycdzj7m5bjb4b8-bash-4.4.12/bin/sh
$ git describe
v0.12.0-3136-g7312c62d3
--8<---------------cut here---------------end--------------->8---

I think the problem is that we=E2=80=99re patching ltmain.in when we should
really be patching the final file, after the =E2=80=98patch-shebangs=E2=80=
=99 phase.

Ludo=E2=80=99.

=C2=B9 <http://bugs.gnu.org/25304>




Information forwarded to bug-guix@HIDDEN:
bug#25304; Package guix. Full text available.
bug unarchived. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 25304-done <at> debbugs.gnu.org:


Received: (at 25304-done) by debbugs.gnu.org; 31 Jan 2017 21:03:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 31 16:03:33 2017
Received: from localhost ([127.0.0.1]:52599 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cYfaP-0003qT-JE
	for submit <at> debbugs.gnu.org; Tue, 31 Jan 2017 16:03:33 -0500
Received: from eggs.gnu.org ([208.118.235.92]:46076)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1cYfaN-0003qG-Ot
 for 25304-done <at> debbugs.gnu.org; Tue, 31 Jan 2017 16:03:32 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1cYfaH-0007BY-W4
 for 25304-done <at> debbugs.gnu.org; Tue, 31 Jan 2017 16:03:26 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:53249)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1cYfa9-0007AQ-Om; Tue, 31 Jan 2017 16:03:17 -0500
Received: from reverse-83.fdn.fr ([80.67.176.83]:47070 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1cYfa9-0006H7-42; Tue, 31 Jan 2017 16:03:17 -0500
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: bug#25304: Seeking advice: preparing releases on GuixSD.
References: <874m1uvkdz.fsf@HIDDEN>
 <874m1ty6rd.fsf@HIDDEN>
 <87a8blpeqs.fsf@HIDDEN>
 <871swxxrzc.fsf@HIDDEN> <878tqx7zzj.fsf@HIDDEN>
Date: Tue, 31 Jan 2017 22:03:14 +0100
In-Reply-To: <878tqx7zzj.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Sat, 31 Dec 2016 00:34:40 +0100")
Message-ID: <87y3xrdjsd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 25304-done
Cc: 25304-done <at> debbugs.gnu.org, ng0@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

ludo@HIDDEN (Ludovic Court=C3=A8s) skribis:

> Ricardo Wurmus <rekado@HIDDEN> skribis:
>
>> =E2=80=9Cltmain.sh=E2=80=9D is instantiated from a template by libtool. =
 It originally
>> contains a /bin/sh shebang, and I think it should not be patched when
>> installed to
>>
>>     /gnu/store/=E2=80=A6-libtool-2.4.6/share/libtool/build-aux/ltmain.sh
>>
>> This seems like a bug to me.
>
> Definitely:
>
> $ head -1 $(find $(guix build libtool) -name ltmain.sh)
> #!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
>
> Opening a new bug now.  This is with v0.12.0-176-ge087671.

This was fixed by ng0 in 98341757c8c45fca8d2b53f9972f5c6a32cf2c95.

Ludo=E2=80=99.




Notification sent to ludo@HIDDEN (Ludovic Courtès):
bug acknowledged by developer. Full text available.
Reply sent to ludo@HIDDEN (Ludovic Courtès):
You have taken responsibility. Full text available.
Changed bug title to 'Libtool's ltmain.sh should have its shebang preserved' from 'Seeking advice: preparing releases on GuixSD.' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Dec 2016 23:34:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 30 18:34:56 2016
Received: from localhost ([127.0.0.1]:60716 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cN6hL-0007Se-Pg
	for submit <at> debbugs.gnu.org; Fri, 30 Dec 2016 18:34:56 -0500
Received: from eggs.gnu.org ([208.118.235.92]:51226)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1cN6hK-0007SQ-4R
 for submit <at> debbugs.gnu.org; Fri, 30 Dec 2016 18:34:54 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1cN6hE-0002Y7-Bx
 for submit <at> debbugs.gnu.org; Fri, 30 Dec 2016 18:34:49 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-5.1 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:43876)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ludo@HIDDEN>) id 1cN6hE-0002Xk-9G
 for submit <at> debbugs.gnu.org; Fri, 30 Dec 2016 18:34:48 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:42182)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1cN6hD-0003TL-Ax
 for bug-guix@HIDDEN; Fri, 30 Dec 2016 18:34:48 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1cN6hA-0002Uh-03
 for bug-guix@HIDDEN; Fri, 30 Dec 2016 18:34:47 -0500
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35959)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1cN6h9-0002Uc-Si; Fri, 30 Dec 2016 18:34:43 -0500
Received: from reverse-83.fdn.fr ([80.67.176.83]:53680 helo=pluto)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1cN6h9-0007Cp-5L; Fri, 30 Dec 2016 18:34:43 -0500
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: Seeking advice: preparing releases on GuixSD.
References: <874m1uvkdz.fsf@HIDDEN>
 <874m1ty6rd.fsf@HIDDEN>
 <87a8blpeqs.fsf@HIDDEN>
 <871swxxrzc.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 11 =?utf-8?Q?Niv=C3=B4se?= an 225 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Sat, 31 Dec 2016 00:34:40 +0100
In-Reply-To: <871swxxrzc.fsf@HIDDEN> (Ricardo Wurmus's message of "Sat,
 24 Dec 2016 16:32:39 +0100")
Message-ID: <878tqx7zzj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -8.2 (--------)
X-Debbugs-Envelope-To: submit
Cc: help-guix@HIDDEN, ng0 <ng0@HIDDEN>, bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.2 (--------)

Hi!

Ricardo Wurmus <rekado@HIDDEN> skribis:

> =E2=80=9Cltmain.sh=E2=80=9D is instantiated from a template by libtool.  =
It originally
> contains a /bin/sh shebang, and I think it should not be patched when
> installed to
>
>     /gnu/store/=E2=80=A6-libtool-2.4.6/share/libtool/build-aux/ltmain.sh
>
> This seems like a bug to me.

Definitely:

--8<---------------cut here---------------start------------->8---
$ head -1 $(find $(guix build libtool) -name ltmain.sh)
#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
--8<---------------cut here---------------end--------------->8---

Opening a new bug now.  This is with v0.12.0-176-ge087671.

Ludo=E2=80=99.




Acknowledgement sent to ludo@HIDDEN (Ludovic Courtès):
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#25304; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Mar 2020 20:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.